Skip to main content
GET
https://ageneral.ai
/
v1
/
nodes
List nodes
curl --request GET \
  --url https://ageneral.ai/v1/nodes \
  --header 'Authorization: Bearer <token>'
{
  "nodes": [
    {
      "id": "<string>",
      "userId": "<string>",
      "projectId": "<string>",
      "status": "<string>",
      "name": "<string>",
      "identifier": "<string>",
      "publicIp": "<string>",
      "directSecrets": true,
      "connectors": [
        "<string>"
      ],
      "openclawConfig": {},
      "createdAt": "<string>",
      "operatingSystem": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Session JWT or node identity token where applicable. Send as Authorization: Bearer <token>.

Query Parameters

projectId
string
required

Project id to list nodes for.

Response

Success

nodes
object[]